Zobrazit příspěvky

Tato sekce Vám umožňuje zobrazit všechny příspěvky tohoto uživatele. Prosím uvědomte si, že můžete vidět příspěvky pouze z oblastí Vám přístupných.


Příspěvky - Roman Horník

Stran: 1 [2] 3 4 ... 88
16
Všeobecná podpora / Re:Miniatury obrazku - thumbnails
« kdy: 23. 12. 2019, 04:28:43 »
Po pravdě mě Evince v Mate nenapadl, nachází se v prostředí GNOME, Mate má Atril.

17
Z prvního Ti stačí jen první řádek (nebo líp z českýho zrcadla: deb http://ftp.cz.debian.org/debian/ sid main non-free contrib), jestliže nechceš stahovat a kompilovat zdrojáky (deb-src). Experimental do toho nemíchej, tam už jsou balíky kvalitní jak v Ubuntu (a mimo to bys musel řešit rozkopaný závislosti - na to jseš ještě "mladej").
S deb-multimedia není problém, klíč se dá po přidání pohodlně nainstalovat pomocí # apt install deb-multimedia-keyring, nebo ten samej balík najdeš v Synapticu.

18
Ono to není o unstable (Sidovi), kterej se od starších vydání liší tím, že má novější software (Debian není Ubuntu, aby potřeboval padat), ale o míchání vydání. To se hodí jen tehdy, kdy potřebuješ starší verzi programu (např. Blender - držím si verzi 2.79, protože verze 2.80 má změněný GUI na infantilně laděný a míň přehledný, některý projekty, animovaný, v něm nejdou otevřít), nebo když používáš program, jenž byl z novějšího vydání odstraněn (například proto, že se dlouho neudržuje). Jinak to nepotřebuješ.
Mícháním vydání a používáním starších balíků s kvantem závislostí se dále vystavuješ riziku, že budeš muset udržovat starší verze knihoven v závislostech, na kterejch jsou závislý další nainstalovaný programy, který taky budeš muset držet ve starším provedení.
Znovu - když k tomu nemáš jó důvod, nepotřebuješ míchat vydání.

19
Všeobecná podpora / Re:Miniatury obrazku - thumbnails
« kdy: 20. 12. 2019, 22:25:47 »
V nastavení správce souborů (Caja) je potřeba povolit rozšíření Vlastnosti Atrilu, a stejně tak se podívat do chlívku Náhled (taky v nastavení), jestli jsou podmínky pro zobrazování náhledů dostačující.

20
V prvním případě jsi musel někde udělat chybu, mohl stačit jenom překlep. listbugs ani listchanges nepoužívám, minoritní nebo žádný zásahy do kódu mě nezajímaj, seznam změn si můžu zobrazit v Synapticu, když potřebuju, když vyjde majoritnější sada změn, informace typu "New upstream version" mě zdržujou.
Jestli používáš především Synaptic, nepotřebuješ měnit priority, v jeho nastavení si jen zvolíš upřednostňovaný vydání. Stačí jen v sources.list jeden řádek pro jedno vydání a druhej pro druhý. Jinak se použije u apt/apt-get/aptitude nejnovější verze, tedy z vyššího vydání, jinak můžeš použít APT pinning pro konkrétní balík.

21
Výtečně, díky!

22
Všeobecná podpora / Re:Klávesnice - pridání jazyka
« kdy: 18. 12. 2019, 22:36:30 »
Myslíš rolovací menu? To jednak má dole šipku (stačí na ni najet) a jednak se dá posouvat kolečkem myši. Jinak by rozložení šlo změnit v DConf editoru v klíči /org/mate/desktop/peripherals/keyboard/kbd/layouts - jestli chceš českou QWERTY, ruskou fonetickou, ukrajinskou fonetickou a řeckou jednoduchou, pak klíč má hodnotu ['cz\tqwerty', 'ru\tphonetic', 'ua\tphonetic', 'gr\tsimple'] (\t tam znamená tabulátor), jestli chceš jiný rozložení, můžu kouknout.
Kalkulačku mám z GNOME (je lepší).

23
Pravděpodobně chyba instalátoru, ten ovšem není systém, použij klidně starší instalační obraz a pak upgraduj na cokoliv budeš chtít.

24
Lepší je nainstalovat holej základ, ten upgradovat na Sida a až pak instalovat další balíky.
Pokud jseš se svým prostředím spokojenej, nepotřebuješ ho měnit, když potřebuješ konfigurovatelnější prostředí, přesto lehký a tradičně vypadající, zkus Mate.
Jestliže LightDM bude blbnout jako předtím, nahradil bych ho něčím jiným. Doporučil bych SLiM, jenže ten už bohužel není podporován, z přihlašovacích správců můžeš vyzkoušet LXDM, případně poněkud těžší GDM3.

25
'gksudo <příkaz>', su-to-root -X -c <příkaz>, při nejhorším pkexec /cesta_k/binárce

26
Trochu nám tam hapruje DBus (možná si s ním nerozumí LightDM - ten by mohl bejt na vině), jinak ostatní je v pořádku (nepodepsanej modul VB a selhání načtení modulu mdraid, kterej je leda pro diskový pole).
MX neznám, ale jestli je to jen jinak nakonfigurovaný jiný distro, kterejch jsou tři prdele, pak je to ztráta času. Jestli chceš minimalistickej systém, co nemá předinstalovanou tunu kravin, který kolikrát nejdou nedestruktivním způsobem odinstalovat, kterej není minimalistickej jen kvůli tomu, že obsahuje minimalistický grafický prostředí, pak je dobrou volbou Debian - to je taky jeden z důvodů, proč jsem k němu z Blbuntu přešel (tenkrát to byl jen hnědej Debian, co byl zaprasenej nepotřebnejma balíkama, ale navíc načpělej komunismem a nestabilitou). Uděláš instalaci základního systému, nainstaluješ Xka, správce přihlašování, grafický prostředí, Synaptic, software, co potřebuješ, třeba VLC, Firefox aj., pak dostaneš poměrně malej a lehkej systém. Můj plnohodnotnej 64bitovej systém, Unstable řezanej Experimentalem (aby nebyla nuda), s vlastním jádrem a běžícím DNS serverem zabere v RAM po startu cca 380MiB, se starým SSD bootuje od GRUBu do grafickýho prostředí 4.6-4.7s (z toho 3.3s se rozbaluje jádro).

27
Sid není nestabilní, naopak praxe ukázala, že je Sid kolikrát stabilnější jak "stabilnější" verze. Praxe dlouhá 11 let. Ono to totiž vypadá, jako by se spíš věnovali vývoji a ladění novejch balíků, než se patlali se starejma.

Celý to vypadá, jako by byl problém například v některým modulu systemd, může jít o chybu specifickou pro VirtualBox, a právě jinou verzí (a aktualizovanou) by se mohl problém vyřešit.
Případně můžu nabídnout pomoc ve formě vzdálený správy, např. přes TeamViewer, jestli chceš. Protože pravděpodobně bude problém vidět v systémových záznamech ve /var/log - dmesg, messages, syslog apod., a bylo by dobrý je vidět.

28
To instalační médium neumí "nouzák"? Tam se chrootneš na oddíl, kde máš kořen systému a jedeš. A jinak - přihlásíš se přes 'sudo příkaz], nebo přes 'su -'? Zkus to.
Jinak se tý chybě nediv, nelze vykonat instalaci do nenaformátovanýho oddílu.
Bohužel nevím, jak se to mohlo stát, mně se to za ~11 let, co jsem na Debianu, nestalo. Jestli budeš dělat novou instalaci, upgraduj na Sida, je nudně stabilní a hlavně, když se tam stane chyba, jako že se stává jen výjimečně, u mně k ní taky může dojít (ale spíš budu vědět, když chybu uvidím, co s ní, na starší balíky, co mě možná minuly, ale nevidím).

29
Přeinstalovat nemusíš, heslo roota můžeš změnit z instalačního média příkazem passwd root
Máš uživatele zapsanýho v /etc/sudoers? Přidáš ho/je tam příkazem sudo visudo
#
# This file MUST be edited with the 'visudo' command as root.
#
# Please consider adding local content in /etc/sudoers.d/ instead of
# directly modifying this file.
#
# See the man page for details on how to write a sudoers file.
#
Defaults        env_reset
Defaults        mail_badpass
Defaults        secure_path="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"

# Host alias specification

# User alias specification

# Cmnd alias specification

# User privilege specification
root    ALL=(ALL:ALL) ALL
uzivatel   ALL=(ALL:ALL) ALL <--------------------------------------
# Allow members of group sudo to execute any command
%sudo   ALL=(ALL:ALL) ALL

# See sudoers(5) for more information on "#include" directives:

#includedir /etc/sudoers.d


(řádek označen šipkou; uložíš [L-Ctrl]+[o], [Enter], ukončíš [L-Ctrl]+[x])

30
Těžko říct, to prostředí vůbec neznám, a pochybuju, že by ho tady znal někdo další. No a ten skript? Primitivní. Sleduj:
Kód: [Vybrat]
#!/bin/bash
su-to-root -X -c gparted
Uložíš třeba jako gpe (nebo GPE, kdyby gpe bylo obsazený; je to citlivý na velikost písmen) do /usr/bin, přidáš příznak spustitelnosti (v terminálu chmod +x /usr/bin/gpe), nebo ve vlastnostech souboru ve správci souborů (pokud o umí), a hned můžeš spouštět příkazem gpe.
#!/bin/bash je hlavička shellovýho skriptu, musí bejt hned na prvním řádku a sama, to pod ní už je příkaz (nebo příkazy).

Stran: 1 [2] 3 4 ... 88